<template>
  <div class="public-form">
    <div class="from-search">
      <div class="pickerMon">
        <div class="pickerData">
          <span> 开始时间:</span>
          <span class="pickerTable">
              <el-date-picker type="datetime" v-model="formInline.timeStart"></el-date-picker>
            </span>
        </div>
        <div class="pickerData">
          <span>结束时间:</span>
          <span class="pickerTable">
              <el-date-picker type="datetime" v-model="formInline.timeEnd"></el-date-picker>
            </span>
        </div>
      </div>
      <div>
        <span>采样点数:</span>
        <el-select v-model="formInline.region" placeholder="50">
          <el-option label="0" value="0"></el-option>
          <el-option label="25" value="25"></el-option>
          <el-option label="50" value="50"></el-option>
          <el-option label="75" value="75"></el-option>
          <el-option label="100" value="100"></el-option>
        </el-select>
      </div>
      <div class="detailbtn" @click="onSubmit">查询</div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PublicForm',
  data () {
    return {
      formInline: {
        timeStart: '',
        timeEnd: ''
      }
    }
  },
  methods: {
    onSubmit () {
      console.log('onsubmit')
    }
  }
}
</script>

<style lang="less" scoped>
.public-form {
  width: 100%;
  border-top: 1px solid #396d83;
  //margin: 10px 10px 10px 10px;
  .from-search {
    display: flex;
    padding: 5px;

    > div {
      margin-left: 10px
    }

    .pickerMon {
      display: flex;

      > div:first-child {
        margin-right: 10px;
      }

      .pickerData {
        flex: 1;
        display: flex;

        > span {
          line-height: 22px
        }

        .pickerTable {
          margin-left: 3px;
        }
      }
    }

    /deep/ .el-date-editor--datetime {
      width: 100%;
    }

    /deep/ .el-input__inner {
      position: relative;
      width: 140px;
      background-color: #2e4967;
      color: #fff;
      font-size: 12px;
      height: 24px;
      padding: 0;
      border-color: #00fff6;
      text-align: center;
      z-index: 9999;
      //padding-left:20px ;
      //padding: 0!important;
    }

    /deep/ .el-input__icon {
      display: block;
      width: 140px;
      height: 22px;
      line-height: 22px;
      cursor: pointer;
      font-size: 0;
    }

    .echatsInput {
      color: #00ffff;
      background-color: #2e4967;
      border: none;
      border-radius: 6px;
      width: 80px;
      height: 22px;
    }

    input::-webkit-calendar-picker-indicator {
      opacity: 100;
    }

    .detailbtn {
      background-color: #2e4967;
      text-align: center;
      padding: 0 7px;
      line-height: 20px;
      border-radius: 4px;
      margin-right: 6px;
    }

  }

  .el-dialog-div {
    //height: 50vh!important;
    overflow: auto;
    //overflow: hidden;
  }
}
</style>
